org.jboss.jca.core.workmanager.selector

## Class AbstractSelector

- java.lang.Object
- - org.jboss.jca.core.workmanager.notification.AbstractNotificationListener
  - - org.jboss.jca.core.workmanager.selector.AbstractSelector

- All Implemented Interfaces:
    org.jboss.jca.core.spi.workmanager.notification.NotificationListener, org.jboss.jca.core.spi.workmanager.selector.Selector
  Direct Known Subclasses:
    FirstAvailable, MaxFreeThreads, PingTime

      public abstract class AbstractSelector
      extends AbstractNotificationListener
      implements org.jboss.jca.core.spi.workmanager.selector.Selector

  Common base class for selector implementations

- - ### Field Summary

    - ### Fields inherited from class org.jboss.jca.core.workmanager.notification.AbstractNotificationListener

      `longRunning, shortRunning`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractSelector()` Constructor

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.util.Map<org.jboss.jca.core.spi.workmanager.Address,java.lang.Long>` | `getSelectionMap(java.lang.String wmId, javax.resource.spi.work.DistributableWork work)` Get explicit work manager override
    `abstract org.jboss.jca.core.spi.workmanager.Address` | `selectDistributedWorkManager(org.jboss.jca.core.spi.workmanager.Address own, javax.resource.spi.work.DistributableWork work)` Select a distributed work manager

    - ### Methods inherited from class org.jboss.jca.core.workmanager.notification.AbstractNotificationListener

      `deltaDoWorkAccepted, deltaDoWorkRejected, deltaScheduleWorkAccepted, deltaScheduleWorkRejected, deltaStartWorkAccepted, deltaStartWorkRejected, deltaWorkFailed, deltaWorkSuccessful, join, leave, updateLongRunningFree, updateShortRunningFree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractSelector

          public AbstractSelector()

      Constructor

  - ### Method Detail

    - #### getSelectionMap

          protected java.util.Map<org.jboss.jca.core.spi.workmanager.Address,java.lang.Long> getSelectionMap(java.lang.String wmId,
                                                                                                             javax.resource.spi.work.DistributableWork work)

      Get explicit work manager override
      Parameters:
        `wmId` - The work manager identifier
        `work` - The work instance
      Returns:
        The selection map

    - #### selectDistributedWorkManager

          public abstract org.jboss.jca.core.spi.workmanager.Address selectDistributedWorkManager(org.jboss.jca.core.spi.workmanager.Address own,
                                                                                                  javax.resource.spi.work.DistributableWork work)

      Select a distributed work manager
      Specified by:
        `selectDistributedWorkManager` in interface `org.jboss.jca.core.spi.workmanager.selector.Selector`
      Parameters:
        `own` - The address of the invoking distributed work manager
        `work` - The work instance
      Returns:
        The address of the selected distributed work manager; `null` if none could be selected

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)